> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete channel

> Delete a channel in your workspace



## OpenAPI

````yaml DELETE /v1/channels/{channelId}
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/channels/{channelId}:
    delete:
      description: Delete a channel in your workspace
      parameters:
        - in: path
          name: channelId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````